# vtree-tree

A modern, interactive terminal-based file tree viewer with file panel support.

[![PyPI version](https://badge.fury.io/py/vtree-tree.svg)](https://badge.fury.io/py/vtree-tree)
[![Python](https://img.shields.io/pypi/pyversions/vtree-tree.svg)](https://pypi.org/project/vtree-tree/)

## Features

- 🌳 **Interactive file tree** - Navigate with mouse and keyboard
- 📁 **Dual view modes** - Toggle between inline files and separate file panel
- 📋 **Clipboard integration** - Copy paths with a single keystroke
- 🎨 **Modern terminal theme** - Clean, professional dark interface
- 👁️ **Hidden file toggle** - Show/hide dotfiles and system files
- 📊 **File details** - View sizes, modification dates, and file information
- ⚡ **Smart filtering** - Automatically ignores common development artifacts
- 🖱️ **Mouse support** - Full mouse navigation and selection

## Installation

```bash
pip install vtree-tree
```

## Usage

```bash
# View current directory
vtree

# View specific directory
vtree /path/to/directory

# Get help
vtree --help
```

## Keyboard Shortcuts

| Key | Action |
|-----|--------|
| `q` / `Ctrl+C` | Quit |
| `r` | Refresh tree |
| `f` | Toggle hidden files |
| `p` | Toggle file panel mode |
| `c` | Copy current path to clipboard |
| `h` / `?` | Toggle help panel |
| `↑↓←→` | Navigate tree |

## View Modes

### Inline Mode (Default)
Files and directories are shown together in a traditional tree structure.

### Panel Mode
Press `p` to toggle panel mode where:
- Left panel shows only directories
- Right panel shows files in the selected directory with details (size, date)
- Perfect for browsing large directories

## Copy to Clipboard

Press `c` to copy the current path to your clipboard:
- **On a folder**: Copies the folder path
- **On a file**: Copies the parent directory path

Great for quickly navigating in terminal sessions:
```bash
vtree
# Press 'c' on desired folder
cd # Paste path here
```

## Requirements

- Python 3.8+
- Works on macOS, Linux, and Windows
- Terminal with color support

## Dependencies

- `textual` - Modern TUI framework
- `rich` - Terminal formatting and colors
- `click` - Command-line interface

## License

MIT License - see LICENSE file for details.

## Contributing

Contributions welcome! Please feel free to submit a Pull Request.